## cm-super 0.3.4

=== debian/changelog ===
cm-super (0.3.4-17) unstable; urgency=medium

  * Do not try to install the removed debian/README.teTeX2.

 -- Hilmar Preusse <hille42@web.de>  Fri, 05 Nov 2021 23:41:34 +0100

cm-super (0.3.4-16) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Hand over some files from clean target to d/clean.
  * Remove debian/README.teTeX2, I guess nobody does backports to teTeX 2.
  * Lintian:
    - X: maintainer-script-switches-dir-to-symlink-unsafely
    - W: cm-super source: redundant-build-prerequisites tex-common, tex-common
    - P: *: maintainer-script-without-set-e
    - P: silent-on-rules-requiring-root
    Lintian Override:
    - W: national-encoding usr/share/cm-super/cm-super.t1c
    - I: font-in-non-font-package & font-outside-font-dir
    - I: cm-super source: debian-watch-file-is-missing

  [ Debian Janitor ]
  * Use set -e rather than passing -e on the shebang-line.
  * Add missing build dependency on dh addon.
  * Refer to specific version of license GPL-2+.
  * Remove constraints unnecessary since stretch:
    + Build-Depends-Indep: Drop versioned constraint on tex-common.
    + cm-super-minimal: Drop versioned constraint on cm-super in Replaces.
    + Remove 3 maintscript entries from 3 files.
  * Bump debhelper from old 9 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Remove empty maintainer scripts: None (postinst)

 -- Hilmar Preusse <hille42@web.de>  Fri, 05 Nov 2021 22:58:57 +0100

cm-super (0.3.4-15) unstable; urgency=medium

  * Add me to list of Uploaders.
  * Change source format to "3.0 (quilt)".
  * lintian:
    - W: maintainer-script-should-not-use-dpkg-maintscript-helper
    - P: file-contains-trailing-whitespace
    - P: no-homepage-field
    - P: package-lacks-versioned-build-depends-on-debhelper
    - P: no-dep5-copyright
    - I: out-of-date-standards-version (bumped to 4.4.0, no changes needed)

 -- Hilmar Preusse <hille42@web.de>  Tue, 06 Aug 2019 10:26:40 +0200

cm-super (0.3.4-14) unstable; urgency=medium

  * update VCS and my email

 -- Norbert Preining <norbert@preining.info>  Thu, 28 Feb 2019 23:33:54 +0900

cm-super (0.3.4-13) unstable; urgency=medium

  * remove a forgotten --priority (Closes: #909292)

 -- Norbert Preining <preining@debian.org>  Fri, 21 Sep 2018 17:02:20 +0900

cm-super (0.3.4-12) unstable; urgency=medium

  * remove --priority to the dh_installtex call, not needed since ages
  * bump standards version, no changes necessary
  * VCS fields pointing to Salsa
  * override some Adobe lintian errors (well known ones)

 -- Norbert Preining <preining@debian.org>  Sun, 02 Sep 2018 21:23:55 +0900

cm-super (0.3.4-11) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Mon, 19 Jun 2017 16:41:21 +0900

cm-super (0.3.4-10) experimental; urgency=medium

  * allow for installation without presence of /u/s/d (Closes: #860143)
  * bump dh compat level to 9
  * bump standards version to 3.9.8, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 13 Jun 2017 11:16:12 +0900

cm-super (0.3.4-9) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Tue, 07 May 2013 11:40:42 +0900

cm-super (0.3.4-8) experimental; urgency=low

  * Ack NMU
  * fix Vcs fields
  * move doc files into /usr/share/texmf/doc
  * build-depend on tex-common >= 4.01
  * bump standards version to 3.9.4, no changes necessary

 -- Norbert Preining <preining@debian.org>  Wed, 19 Dec 2012 14:25:12 +0900

cm-super (0.3.4-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship documentation in /usr/share/doc (closes: #577635).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 12 Nov 2012 02:35:13 +0000

cm-super (0.3.4-7) unstable; urgency=low

  * make sure that the correct changelog.Debian is installed by
    depending on the exact version of the source package (Closes: #692523)

 -- Norbert Preining <preining@debian.org>  Wed, 07 Nov 2012 13:53:27 +0900

cm-super (0.3.4-6) unstable; urgency=low

  * upload to unstable
  * bump standards version to 3.9.3, no changes necessary
  * adjust build-dep on debhelper to >= 8.1.0~

 -- Norbert Preining <preining@debian.org>  Fri, 23 Mar 2012 18:30:55 +0900

cm-super (0.3.4-5) experimental; urgency=low

  * release for TL2012, rebuild with tex-common v3
  * remove old config files in updmap.d (using debian/$package.maintscript)

 -- Norbert Preining <preining@debian.org>  Mon, 05 Mar 2012 09:38:22 +0900

cm-super (0.3.4-4) unstable; urgency=low

  * remove defoma support, but keep the defoma file for now (Closes: #648873)
    . remove dh_installdefoma call in debian/rules
    . add rm_conffile calls to various maintainer scripts
    (thanks Christian Perrier for the patch)
  * bump standards version to 3.9.2, no changes necessary
  * add funny build-arch and build-indep targets to make lintian happy

 -- Norbert Preining <preining@debian.org>  Wed, 16 Nov 2011 08:36:06 +0900

cm-super (0.3.4-3) unstable; urgency=low

  * change section to fonts
  * bump build-dep on tex-common to >= 1.18 to get fixed trigger support
  * bump standards version to 3.8.1, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 16 Apr 2009 17:09:51 +0200

cm-super (0.3.4-2) unstable; urgency=low

  * bump build-dep on tex-common to >= 1.15 to get trigger support
  * replace the explicit dep on tex-common with ${misc:Depends}

 -- Norbert Preining <preining@debian.org>  Tue, 10 Mar 2009 14:48:20 +0100

cm-super (0.3.4-1) unstable; urgency=low

  * new upstream release
  * add a link /u/s/texmf/doc/fonts/cm-super -> /u/s/doc/cm-super-minimal
    so that the documentation can be found by texdoctk (Closes: #444308)
  * add Vcs-Svn and Vcs-Browser fields to debian/control
  * remove pfb2t1c.c since we have that package in Debian
  * Standards version 3.8.0, no changes necessary
  * remove the useless make clean in the debian rules file
  * recode copyright file into utf8


