=== debian/control ===
Source: cm-super
Section: fonts
Priority: optional
Build-Depends: debhelper-compat (= 13), tex-common
Build-Depends-Indep: pfb2t1c2pfb
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Hilmar Preusse <hille42@web.de>
Standards-Version: 4.5.1
Rules-Requires-Root: binary-targets
Vcs-Git: https://github.com/debian-tex/cm-super.git
Vcs-Browser: https://github.com/debian-tex/cm-super
Homepage: https://ctan.org/tex-archive/fonts/ps-type1/cm-super

Package: cm-super-minimal
Architecture: all
Depends: ${misc:Depends}, texlive-latex-recommended
Description: TeX font package (minimal version) with CM/EC in Type1 in T1, T2*, TS1, X2 enc
 This package ships the 10pt version of the various fonts. For the full
 set please install cm-super.
 .
 The CM-Super package contains Type 1 fonts converted from METAFONT
 fonts and covers entire EC/TC, EC Concrete, EC Bright and LH fonts
 (Computer Modern font families). All European and Cyrillic writings
 are covered. Each Type 1 font program contains ALL glyphs from the
 following standard LaTeX font encodings: T1, TS1, T2A, T2B, T2C, X2,
 and also Adobe StandardEncoding (585 glyphs per non-SC font and 468
 glyphs per SC font), and could be reencoded to any of these encodings
 using standard dvips or pdftex facilities (the corresponding support
 files are also included).

Package: cm-super
Architecture: all
Replaces: pts-tetex-cm-super
Conflicts: pts-tetex-cm-super
Depends: ${misc:Depends}, texlive-latex-recommended, cm-super-minimal (= ${source:Version}), pfb2t1c2pfb
Description: TeX font package (full version) with CM (EC) in Type1 in T1, T2*, TS1, X2 enc
 This package ships the full set of cm-super fonts, for a minimal variant
 install cm-super-minimal.
 .
 The CM-Super package contains Type 1 fonts converted from METAFONT
 fonts and covers entire EC/TC, EC Concrete, EC Bright and LH fonts
 (Computer Modern font families). All European and Cyrillic writings
 are covered. Each Type 1 font program contains ALL glyphs from the
 following standard LaTeX font encodings: T1, TS1, T2A, T2B, T2C, X2,
 and also Adobe StandardEncoding (585 glyphs per non-SC font and 468
 glyphs per SC font), and could be reencoded to any of these encodings
 using standard dvips or pdftex facilities (the corresponding support
 files are also included).

Package: cm-super-x11
Architecture: all
Depends: cm-super-minimal (= ${source:Version}), ${misc:Depends}
Description: Make the cm-super fonts available to X11
 This package makes the cm-super fonts available to X11. This package
 does not contain any fonts itself but allows one to reuse the cm-super
 fonts as X11 screen fonts.
